ContextService (Apache Tomcat 8.5.83 API Documentation)

Package org.apache.tomcat.util.descriptor.web

## Class ContextService

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ResourceBase
  - - org.apache.tomcat.util.descriptor.web.ContextService

- All Implemented Interfaces:
    `java.io.Serializable`, `Injectable`

      public class ContextService
      extends ResourceBase

  Representation of a web service reference for a web application, as represented in a `<service-ref>` element in the deployment descriptor.
  Author:
    Fabien Carrion
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ContextService()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addHandler​(ContextHandler handler)` |
    `void` | `addPortcomponent​(java.lang.String serviceendpoint, java.lang.String portlink)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getDisplayname()` |
    `ContextHandler` | `getHandler​(java.lang.String handlername)` |
    `java.util.Iterator<java.lang.String>` | `getHandlers()` |
    `java.lang.String` | `getInterface()` |
    `java.lang.String` | `getJaxrpcmappingfile()` |
    `java.lang.String` | `getLargeIcon()` |
    `java.lang.String` | `getPortlink​(java.lang.String serviceendpoint)` |
    `java.util.Iterator<java.lang.String>` | `getServiceendpoints()` | Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port.
    `java.lang.String[]` | `getServiceqname()` |
    `java.lang.String` | `getServiceqname​(int i)` |
    `java.lang.String` | `getServiceqnameLocalpart()` |
    `java.lang.String` | `getServiceqnameNamespaceURI()` |
    `java.lang.String` | `getSmallIcon()` |
    `java.lang.String` | `getWsdlfile()` |
    `int` | `hashCode()` |
    `void` | `setDisplayname​(java.lang.String displayname)` |
    `void` | `setInterface​(java.lang.String serviceInterface)` |
    `void` | `setJaxrpcmappingfile​(java.lang.String jaxrpcmappingfile)` |
    `void` | `setLargeIcon​(java.lang.String largeIcon)` |
    `void` | `setServiceqname​(java.lang.String[] serviceqname)` |
    `void` | `setServiceqname​(java.lang.String serviceqname, int i)` |
    `void` | `setServiceqnameLocalpart​(java.lang.String localpart)` |
    `void` | `setServiceqnameNamespaceURI​(java.lang.String namespaceuri)` |
    `void` | `setSmallIcon​(java.lang.String smallIcon)` |
    `void` | `setWsdlfile​(java.lang.String wsdlfile)` |
    `java.lang.String` | `toString()` | Return a String representation of this object.

    - ### Methods inherited from class org.apache.tomcat.util.descriptor.web.ResourceBase

      `addInjectionTarget, getDescription, getInjectionTargets, getLookupName, getName, getNamingResources, getProperty, getType, listProperties, removeProperty, setDescription, setLookupName, setName, setNamingResources, setProperty, setType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ContextService

          public ContextService()

  - ### Method Detail

    - #### getDisplayname

          public java.lang.String getDisplayname()

    - #### setDisplayname

          public void setDisplayname​(java.lang.String displayname)

    - #### getLargeIcon

          public java.lang.String getLargeIcon()

    - #### setLargeIcon

          public void setLargeIcon​(java.lang.String largeIcon)

    - #### getSmallIcon

          public java.lang.String getSmallIcon()

    - #### setSmallIcon

          public void setSmallIcon​(java.lang.String smallIcon)

    - #### getInterface

          public java.lang.String getInterface()

    - #### setInterface

          public void setInterface​(java.lang.String serviceInterface)

    - #### getWsdlfile

          public java.lang.String getWsdlfile()

    - #### setWsdlfile

          public void setWsdlfile​(java.lang.String wsdlfile)

    - #### getJaxrpcmappingfile

          public java.lang.String getJaxrpcmappingfile()

    - #### setJaxrpcmappingfile

          public void setJaxrpcmappingfile​(java.lang.String jaxrpcmappingfile)

    - #### getServiceqname

          public java.lang.String[] getServiceqname()

    - #### getServiceqname

          public java.lang.String getServiceqname​(int i)

    - #### getServiceqnameNamespaceURI

          public java.lang.String getServiceqnameNamespaceURI()

    - #### getServiceqnameLocalpart

          public java.lang.String getServiceqnameLocalpart()

    - #### setServiceqname

          public void setServiceqname​(java.lang.String[] serviceqname)

    - #### setServiceqname

          public void setServiceqname​(java.lang.String serviceqname,
                                      int i)

    - #### setServiceqnameNamespaceURI

          public void setServiceqnameNamespaceURI​(java.lang.String namespaceuri)

    - #### setServiceqnameLocalpart

          public void setServiceqnameLocalpart​(java.lang.String localpart)

    - #### getServiceendpoints

          public java.util.Iterator<java.lang.String> getServiceendpoints()

      Declares a client dependency on the container to resolving a Service Endpoint Interface to a WSDL port. It optionally associates the Service Endpoint Interface with a particular port-component.
      Returns:
        the endpoint names

    - #### getPortlink

          public java.lang.String getPortlink​(java.lang.String serviceendpoint)

    - #### addPortcomponent

          public void addPortcomponent​(java.lang.String serviceendpoint,
                                       java.lang.String portlink)

    - #### getHandlers

          public java.util.Iterator<java.lang.String> getHandlers()

    - #### getHandler

          public ContextHandler getHandler​(java.lang.String handlername)

    - #### addHandler

          public void addHandler​(ContextHandler handler)

    - #### toString

          public java.lang.String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `ResourceBase`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `ResourceBase`